# Contributing

If you discover issues, have ideas for improvements or new features, please report them to the [issue tracker](https://github.com/IBM/spacetech-ssa/issues) of the repository or submit a pull request. Please, try to follow these guidelines when you do so.

## Issue reporting

* Check that the issue has not already been reported.
* Check that the issue has not already been fixed in the latest code
* Be clear, concise and precise in your description of the problem.
* Open an issue with a descriptive title and a summary in grammatically correct,
  complete sentences.
* Include any relevant code to the issue summary.

## Pull requests

* Read [how to properly contribute to open source projects on Github](http://gun.io/blog/how-to-github-fork-branch-and-pull-request).
* Use a topic branch to easily amend a pull request later, if necessary.
* Write [good commit messages](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html).
* Mention related tickets in the commit messages (e.g. `[Fix #N] Improve ETL`)
* Use the same coding conventions as the rest of the project.
* Open a [pull request](https://help.github.com/articles/using-pull-requests) that relates to *only* one subject with a clear title
  and description in grammatically correct, complete sentences.
